﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();

            //Add columns to DataTable.
            dt.Columns.AddRange(new DataColumn[3] { new DataColumn("Id"), new DataColumn("Name"), new DataColumn("Country") });
 
            //Set AutoIncrement True for the First Column.
            dt.Columns["Id"].AutoIncrement = true;

            //Set the Starting or Seed value.
            dt.Columns["Id"].AutoIncrementSeed = 1;

            //Set the Increment value.
            dt.Columns["Id"].AutoIncrementStep = 1;

            //Add rows to DataTable.
            dt.Rows.Add(null, "John Hammond", "United States");
            dt.Rows.Add(null, "Mudassar Khan", "India");
            dt.Rows.Add(null, "Suzanne Mathews", "France");
            dt.Rows.Add(null, "Robert Schidner", "Russia");
        }
    }
}